Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class LabelInfoToString

    java.lang.Object
      escjava.translate.LabelInfoToString

public class LabelInfoToString
extends java.lang.Object

Field Summary
`private static Set` | `annotationLocations` set of `String`, each one of which has the format filename:line:col and has been interned.
`private static Set` | `theMark`

Constructor Summary
`LabelInfoToString()`

Method Summary
`static java.lang.String` | `get()`
`static void` | `mark()`
`static void` | `recordAnnotationAssumption(int locPragmaDecl)`
`static void` | `reset()`
`static void` | `resetToMark()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annotationLocations

    private static Set annotationLocations

  set of `String`, each one of which has the format filename:line:col and has been interned.

### theMark

    private static Set theMark

Constructor Detail

### LabelInfoToString

    public LabelInfoToString()

Method Detail

### reset

    public static void reset()

### mark

    public static void mark()

### resetToMark

    public static void resetToMark()

### get

    public static java.lang.String get()

### recordAnnotationAssumption

    public static void recordAnnotationAssumption(int locPragmaDecl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage